Skip to main content
POST
/
v1
/
services
curl -X POST https://xenarch.dev/v1/services \
  -H "Authorization: Bearer xk_pub_abc123..." \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Premium News API",
    "url": "https://example.com/api",
    "description": "Real-time news articles with full text",
    "price_per_request": "0.05",
    "category": "api",
    "pay_json_url": "https://example.com/.well-known/pay.json"
  }'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "publisher_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "url": "<string>",
  "description": "<string>",
  "price_per_request": "<string>",
  "category": "<string>",
  "pay_json_url": "<string>",
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
curl -X POST https://xenarch.dev/v1/services \
  -H "Authorization: Bearer xk_pub_abc123..." \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Premium News API",
    "url": "https://example.com/api",
    "description": "Real-time news articles with full text",
    "price_per_request": "0.05",
    "category": "api",
    "pay_json_url": "https://example.com/.well-known/pay.json"
  }'

Categories

ValueDescription
apiREST or GraphQL API
docsDocumentation or knowledge base
dataData feeds or datasets
contentArticles, media, or other content

Headers

authorization
string
required

Body

application/json
name
string
required
Required string length: 1 - 200
url
string
required
Minimum string length: 1
price_per_request
required
Required range: 0 <= x <= 1
description
string
default:""
Maximum string length: 2000
category
string
default:api
Pattern: ^(api|docs|data|content)$
pay_json_url
string | null

Response

Successful Response

id
string<uuid>
required
publisher_id
string<uuid>
required
name
string
required
url
string
required
description
string
required
price_per_request
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
category
string
required
pay_json_url
string | null
required
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required